# tbb::queuing_rw_mutex Class Reference
[Synchronization]

Queuing reader-writer mutex with local-only spinning. More...

`#include <queuing_rw_mutex.h>`

List of all members.

## Public Member Functions

| queuing_rw_mutex ()
| Construct unacquired mutex.
| ~queuing_rw_mutex ()
| Destructor asserts if the mutex is acquired, i.e. q_tail is non-NULL.
void __TBB_EXPORTED_METHOD | internal_construct ()

## Static Public Attributes

static const bool | is_rw_mutex = true
static const bool | is_recursive_mutex = false
static const bool | is_fair_mutex = true

## Classes

class | scoped_lock
| The scoped locking pattern. More...

## Detailed Description

Queuing reader-writer mutex with local-only spinning.

Adapted from Krieger, Stumm, et al. pseudocode at http://www.eecg.toronto.edu/parallel/pubs_abs.html#Krieger_etal_ICPP93

The documentation for this class was generated from the following file:

- queuing_rw_mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.